SC_FORMAT_ASN1_ENTRY(3)

NAME
sc_format_asn1_entry - Fill in an ASN.1 entry structure

SYNOPSIS

    #include <opensc.h>
    void sc_format_asn1_entry(struct sc_asn1_entry *entry, void *parm, void *arg, int set_present);

DESCRIPTION

This function stores the parm and arg pointers in the struct sc_asn1_entry entry. No checking is done. Since the pointers are copied directly, the storage they point to must not be freed by the calling application until the entry itself is destroyed.